#!/bin/bash
set -e

xdp_off() {
  ip link set dev ens9f1np1 xdp off
}
tx_packets() {
  ethtool -S ens9f1np1|grep -v ": 0"|grep "tx_packets:"|awk '{print $2;}';
}

xdp_off;
make clean && make;
A=$(tx_packets)
nice -n -20 chrt 99 ./af_xdp;
B=$(tx_packets)
echo "Ethtool tx packets sent: $((B -A))";
xdp_off;
